# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Format.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/SMS/Web.pm) perl(Test/More.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Net-SMS-O2_DE
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: a module to send SMS messages using the O2 Germany web2sms!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PR/PROFANTER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A perl module to send SMS messages, using the O2 web2sms gateway. This
module will only work with mobile phone numbers that have been registered with
O2 (http://www.o2.de/) and uses form submission to a URL that may be
subject to change. The O2 service is currently only available to german
phone users with internet pack.

There is a maximum length for SMS message (1800 for O2). If the sum
of message length exceed this, the behaviour of the
Net::SMS::O2_DE objects depends on the value of the 'autotruncate' argument to
the constructor. If this is a true value, then the subject / message will be
truncated to 1800 characters. If false, the object will throw an exception
(die). If you set notruncate to 1, then the module won't check the message
length, and you are on your own!

This implementation is based on the module the Net::SMS::O2 manpage.

The HTTP requests are sent using the Net::SMS::WEB manpage which uses the LWP::UserAgent manpage module. If you are using a
proxy, you may need to set the HTTP_PROXY environment variable for this to
work (see the LWP::UserAgent manpage).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/N*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

